<?php
/*
http://www.codingsa.kr(코딩사)

공지사항 게시판과 연동한 팝업창을 띄우는 함수로서 반드시 notice 라는 이름을 가진 게시판을 생성해 두어야 하며
해당 게시판에 글쓰기시 공지에 체크를 한것을 모두 레이어 팝업으로 띄웁니다.(팝업 limit 는 3장이지만 아래코드에서 조정가능).
팝업과 연관된 파일
- js/jquery-popup.js,jquery-cookie.js,jquery-ui,js
- json/common_json.php,JSON.php,json_popup.php
*/
function codingsa_popup($tbl_name)
{
	global $g5;
	global $codingsa_path;
	
	//해당 게시판에서 공지에 체크한 것이 있는지 조사
	$query = "select bo_notice from ".$g5['board_table']." where bo_table = '".$tbl_name."'";
	$result = mysql_query($query);	
	$rows =  mysql_fetch_array($result);
    
	//공지에 체크한 게시물이 있을 때
	if($rows["bo_notice"])
	{	
		$table = $g5['write_prefix'].$tbl_name;
		$where = "where ";

		$arr_bo_notice = explode(",",$rows["bo_notice"]);	
		for($i=0;$i < count($arr_bo_notice);$i++)
		{
			if($i==0)
			{
				$where .= "wr_id = ".$arr_bo_notice[$i]."";
			}			
			else
			{
				$where .= " or wr_id = ".$arr_bo_notice[$i]."";
			}
		}
		$query = "select wr_id from $table $where order by wr_id asc limit 3";
		$result = mysql_query($query);

		$rows = array();
		if(mysql_num_rows($result))
		{
			$content = array();
			$i=1;
			while($row = mysql_fetch_array($result))
			{		
				//func_codingsa_popup('게시판이름',글번호,'json경로',순번,너비,높이,margin_top, margin_left)
				echo "<script>func_codingsa_popup('".$tbl_name."',".$row[wr_id].", '".$codingsa_path."/json/json_popup.php', ".$i.", 350, 400, 20, 20);</script>";
				$i++;
			}
		}
		
	}

	mysql_close($connect);
}
codingsa_popup("notice");//codingsa_popup("게시판이름")
?>
